> ## Documentation Index
> Fetch the complete documentation index at: https://docs.raydium.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 取得 kline（K線）資料

> 擷取 OHLC K線資料。限制範圍：1-500（預設 300）。



## OpenAPI

````yaml /zh-Hant/api-reference/openapi/launch-history-v1.yaml get /kline
openapi: 3.0.3
info:
  title: Raydium Launch History API
  description: 提供 LaunchLab 資金池的歷史交易資料。包括 1 分鐘、5 分鐘和 15 分鐘間隔的 kline（K線）資料，以及個別交易歷史。
  version: 1.0.0
servers:
  - url: https://launch-history-v1.raydium.io
    description: Mainnet
  - url: https://launch-history-v1-devnet.raydium.io
    description: Devnet
security: []
tags:
  - name: Candle Data
    description: OHLC K線資料
  - name: Trades
    description: 個別交易歷史
  - name: Utilities
    description: 健康檢查
paths:
  /kline:
    get:
      tags:
        - Candle Data
      summary: 取得 kline（K線）資料
      description: 擷取 OHLC K線資料。限制範圍：1-500（預設 300）。
      operationId: getKline
      parameters:
        - name: poolId
          in: query
          required: true
          schema:
            type: string
          description: 資金池 ID（mint 地址）
        - name: interval
          in: query
          required: true
          schema:
            type: string
            enum:
              - 1m
              - 5m
              - 15m
        - name: limit
          in: query
          schema:
            type: integer
            default: 300
            minimum: 1
            maximum: 500
        - name: nextPageKey
          in: query
          schema:
            type: string
          description: 分頁標記
      responses:
        '200':
          description: 包含分頁的 K線資料

````